# Generated from conjoiner-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name conjoiner

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Tool for cloning and managing git repositories
License: AGPL-3.0-or-later
URL: https://gitlab.com/acant/conjoiner
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(aruba) >= 1.0
# BuildRequires: rubygem(aruba) < 2
# BuildRequires: rubygem(cucumber) >= 5.3
# BuildRequires: rubygem(cucumber) < 6
# BuildRequires: rubygem(fakefs) >= 1.4.0
# BuildRequires: rubygem(fakefs) < 1.5
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-tabular) >= 0.2
# BuildRequires: rubygem(rspec-tabular) < 1
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(bundler-audit)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-rake)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Manager for cloned git reporitories, automatically sync some of those
repositories.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/conjoiner
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/ca.andrewsullivancant.conjoiner.plist
%{gem_instdir}/conjoiner.service
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/conjoiner.gemspec
%{gem_instdir}/cucumber.yml

%changelog
* Mon Apr 18 2022 mockbuilder - 0.2.1-1
- Initial package
